package benefactorkindboxservice

import (
	"context"

	entity "git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	GetAllKindBox(ctx context.Context, benefactorID uint) ([]entity.KindBox, error)
	GetKindBox(ctx context.Context, kindBoxID uint) (entity.KindBox, error)
}

type Service struct {
	repo Repository
}

func New(repository Repository) Service {
	return Service{
		repo: repository,
	}
}
